* {
    box-sizing: border-box;
}


h1,
.login,
.account,
.contact{
    width:80%;
    margin: 0 auto;
}

@supports (display: flex) {
    body {
        padding:0;
        height: 100vh;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    h1, .login, .account, .contact {
        margin: 0;
        width: 80%;
    }
}

@supports (display: grid) {
    body {
        display: grid;
        grid-template-columns: 80%;
        align-content: center;
        align-items: stretch;
    }
    @media (min-width: 650px) {
        body {
            grid-template-columns: repeat(2, minmax(150px, 30%));
        }
        h1,
        .login {
            grid-column-end: span 2;
            width: auto;
        }
        .login > div {
            display: grid;
            grid-template-columns: 1fr 2fr;
            align-items: center;
        }
        .login > div.actions {
            grid-template-columns: 1fr 1fr 1fr;
        }
        .account {
            border-right: 1px #c3c9d9;
            padding: 0 10px 0 0;
            align-self: end;
            width: auto;
        }
        .contact {
            padding: 0 0 0 10px;
            width: auto;
        }
        input[type="submit"] {
            grid-column: 2;
        }
        .actions a {
            justify-self: end;
        }
    }
}

h1 {
    background-color: #bcc6d3;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    padding: 10px;
    font-size: 24px;
    line-height: 1.4;
}

.login {
    background-color: #bcc6dc;
    border: 1px solid #b3c0e4;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    padding: 10px;
    margin-bottom: 10px;
}

.login > div {
    padding: 5px 0;
}

input[type="submit"] {
    border: 1px solid rgba(191, 216, 227, .8);
    border-radius: 5px;
    color: #fff;
    background-color: #706ddc;
    font-size: 110%;
}

input[type="text"],
input[type="password"] {
    border: 1px solid rgba(191, 216, 227, .8);
    padding: 5px;
    border-radius: 5px;
    font-size: 110%;
    width: 100%;
}

.actions a {
    font-size: 80%;
}

*{
    padding: 0;
    margin: 0;
    color: white;

}
